org.eclipse.mat.query

## Interface IResult

All Known Subinterfaces:
  IOQLQuery.Result, IResultPie, IResultTable, IResultTree, IStructuredResult

All Known Implementing Classes:
  BigDropsQuery, BundleRegistryQuery.BundleTreeResult, BundleRegistryQuery.ExtensionTreeResult, BundleRegistryQuery.ServicesTreeResult, ClassReferrersQuery.InboundClasses, ClassReferrersQuery.OutboundClasses, CompareTablesQuery.ComparisonResultTable, CompareTablesQuery.ComparisonResultTree, CompareTablesQuery.TableComparisonResult, CompositeResult, DisplayFileResult, DominatorQuery.Tree, DuplicatedClassesQuery, FindLeaksQuery.SuspectsResultTable, FindLeaksQuery2.SuspectsResultTable, HashEntriesQuery.Result, Histogram, Histogram.ClassLoaderTree, Histogram.PackageTree, Histogram.SuperclassTree, HistogramResult, ImmediateDominatorsQuery.ResultImpl, ListResult, MultiplePath2GCRootsQuery.Tree, ObjectListResult.Inbound, ObjectListResult.Outbound, Path2GCRootsQuery.Tree, PropertyResult, QuerySpec, RefinedStructuredResult, RefinedTable, RefinedTree, SectionSpec, Spec, TextResult, ThreadInfoQuery.Result, UnreachableObjectsHistogram

    public interface IResult

Interface to mark a query result. There are several implementations of IResult supplied with Memory Analyzer, together with user interface code to display them. The org.eclipse.mat.ui.editorPanes extension can be used to extend the Memory Analyzer user interface to display new custom IResult types.

### Method Summary

All Methods Instance Methods Abstract Methods
`ResultMetaData` `getResultMetaData()` (Optionally) Return meta data of the result needed to fine-tune the display of the result.

### Method Detail

#### getResultMetaData

    ResultMetaData getResultMetaData()

(Optionally) Return meta data of the result needed to fine-tune the display of the result. This could include an additional context, an additional query to run on selected data from the result , additional calculated columns, or an indication that the results are already presorted.

Returns:
  the metadata for the result, used to obtain extra data